/*
--------------------------------------------------------------------------------
  1400px AND UP SCREENS
--------------------------------------------------------------------------------
*/

/* Containers */
@media (min-width: 1400px) {

  .container, 
  .container-lg, 
  .container-md, 
  .container-sm, 
  .container-xl, 
  .container-xxl {
    max-width: calc(1312px + var(--bs-gutter-x));
  }

  /* Scroller slider */
  .container-scroller {
    padding-left: calc((100% - 1312px) / 2);
  }

}

/*
--------------------------------------------------------------------------------
  1200px AND UP SCREENS
--------------------------------------------------------------------------------
*/

@media (min-width:1200px) {

  /* Headings */
  h1, .h1 {
    font-size: 4rem;
    font-style: italic;
    margin-bottom: 1.5rem;
  }
  
  h2, .h2 {
    font-size: 3rem;
  }
  
  h3, .h3 {
    font-size: 2.25rem;
    line-height: 1.5;
    margin-bottom: 1rem;
  }
  
  h4, .h4 {
    font-size: 1.5rem;
    line-height: 1.3;
  }
  
  h5, .h5 {
    font-size: 1.25rem;
    line-height: 1.4;
  }
  
  h6, .h6 {
    font-size: 1.25rem;
    line-height: 1.4;
  }

  /* Academy */
  .trips-row {
    --bs-gutter-x: 8.25rem;
  }

}

/*
--------------------------------------------------------------------------------
  992px TO 1200PX SCREENS
--------------------------------------------------------------------------------
*/

@media (min-width: 992px) and (max-width: 1199.98px) {

  .navbar-nav {
    --bs-nav-link-font-size: 0.75rem;
  }

  .navbar .btn {
    --bs-btn-padding-x: 0.75rem;
    font-size: 0.75rem;
  }

}

/*
--------------------------------------------------------------------------------
  992px AND UP SCREENS
--------------------------------------------------------------------------------
*/
@media (min-width: 992px) {

  .container,
  .container-lg,
  .container-md,
  .container-sm {
    max-width: calc(918px + var(--bs-gutter-x));
  }

}

/*
--------------------------------------------------------------------------------
  673px AND UP SCREENS (WOOCOMMERCE BREAKPOINT)
--------------------------------------------------------------------------------
*/
@media (min-width: 768px) {

  /* Woocommerce Account */
  .woocommerce-account .woocommerce-MyAccount-navigation {
    width: 20%;
  }

  .woocommerce-account .woocommerce-MyAccount-content {
    width: 78%;
  }

}


@media (min-width: 576px) {

  /* Woocommerce Account */
  .woocommerce-account .woocommerce-MyAccount-navigation {
    width: 20%;
  }

  .woocommerce-account .woocommerce-MyAccount-content {
    width: 78%;
  }

}

/*
--------------------------------------------------------------------------------
  992px AND DOWN SCREENS
--------------------------------------------------------------------------------
*/

@media (max-width: 1199.98px) {

  /* Scroller slider */
  .product-scroller ul.products {
    gap: 1rem;
  }

  section, .vc_section {
    padding: 2.5rem 0;
  }

  .single-product-extra {
    padding-left: 0;
  }

  /* Product list */
  .woocommerce .woocommerce-ordering {
    margin-top: -4rem;
    margin-bottom: 4rem;
  }

}


@media (max-width: 991.98px) {

  .navbar {
    --bs-navbar-padding-y: 1rem;
  }
  
  /* Navbar Brand */
  .navbar-brand {
    width: 2rem;
  }
  
  /* Navbar Fixed */
  .navbar-fixed {
    position: fixed;
    right: 22px;
    bottom: 25px;
    z-index: 9999;
  }

  .navbar-buttons {
    background: #fff;
    border-radius: 100px;
    box-shadow: 0px 8px 17px rgba(0, 0, 0, 0.3);
    padding: 0.75rem 1.5rem;
  }

  .navbar-collapse {
    background: #FFFFFF;
    box-shadow: 0px 8px 17px rgba(0, 0, 0, 0.3);
    border-radius: 27px;
    padding: 1rem 1.5rem;
    margin-bottom: 1rem;
    width: 218px;
  }

  .navbar-nav .nav-item + .nav-item {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
  }

  .navbar-nav .nav-item > a {
    display: inline-block;
  }

  .navbar-nav .nav-item-account .btn-link {
    --bs-btn-padding-x: 0;
    --bs-btn-hover-border-color: #fff;
  }

  .navbar-nav .nav-item-account .btn-link:hover {
    box-shadow: none;
  }

  .dropdown-menu {
    --bs-dropdown-padding-x: 0;
    --bs-dropdown-padding-y: 0;
    --bs-dropdown-box-shadow: none;
  }
  
  .dropdown-menu .nav-item + .nav-item {
    border-top: none;
  }

  .dropdown-menu .nav-link {
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
  }

  /* Sections */
  section, .vc_section {
    padding: 2rem 0;
  }
  
  .section-xxl {
    padding: 2rem 0;
  }

  /* Contact */
  .wpb_gmaps_widget iframe {
    height: 400px;
  }

  /* Scroller slider */
  .product-scroller {
    --column-percent: 27%;
  }

  /* Row */
  .row {
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 1.5rem;
  }

  .g-xl {
    --bs-gutter-x: 2rem;
    --bs-gutter-y: 2rem;
  }

  .g-none {
    --bs-gutter-x: 0;
    --bs-gutter-y: 0;
  }

}


@media (max-width: 767.98px) {

  /* Scroller slider */
  .product-scroller {
    --column-percent: 45%;
  }

}


@media (max-width: 575.98px) {

  :root {
    --bs-body-font-size: 0.75rem;
  }

  .btn {
    --bs-btn-padding-x: 0.75rem;
    --bs-btn-padding-y: 0.5rem;
    --bs-btn-font-size: 0.75rem;
  }

  /* Navbar fixed */
  .navbar-buttons {
    padding: 0.5rem 0.75rem;
  }
  
  /* Help popup */
  .modal-body .exclusive-service {
    padding-left: 4rem;
    background-size: 3rem auto;
    background-position: 0.5rem 50%;
  }

  /* Home */
  .heading-row > div:last-child,
  .heading-row .btn {
    display: none;
  }

  .home-creation-block .wpb_single_image {
    margin-bottom: 0.5rem;
  }

  .home-creation-block .vc_custom_heading {
    width: 70%;
  }

  .photowall-caption {
    margin: 0;
    padding: 30px 20px 50px 20px;
    text-align: center;
  }

  h2.widgettitle {
    margin-bottom: 2rem;
  }

  /* Product list */
  .woocommerce .woocommerce-ordering {
    margin-top: 1rem;
    margin-bottom: 1rem;
  }
  
  .woocommerce ul.products li.product .woocommerce-loop-product__title, 
  .woocommerce ul.products li.product h3 {
    font-size: 1rem;
  }

  .woocommerce ul.products li.product .woocommerce-loop-product__category {
    font-size: 0.75rem;
  }

  .woocommerce ul.products li.product .price {
    font-size: 1rem;
  }

  .woocommerce ul.products[class*="columns-"] li.product, 
  .woocommerce-page ul.products[class*="columns-"] li.product {
    width: 100%;
  }

  .woocommerce #respond input#submit, 
  .woocommerce a.button, 
  .woocommerce button.button, 
  .woocommerce input.button {
    font-size: 0.75rem;
    padding: 0.5rem 1rem;
  }

  /* Product details */
  .woocommerce div.product div.images.woocommerce-product-gallery {
    padding-left: 60px;
  }

  .woocommerce div.product div.images .flex-control-thumbs {
    width: 50px;
  }

  .woocommerce div.product div.images .flex-control-thumbs li {
    margin-bottom: 0.5rem;
  }

  .woocommerce-product-details__short-description {
    font-size: 0.75rem;
  }

  .woocommerce div.product p.price, 
  .woocommerce div.product span.price {
    font-size: 1rem;
  }

  .rating {
    width: 200px;
    height: 20px;
  }

  .rating::after {
    background: radial-gradient(8px at center, transparent 3px, #F7F7F7 4px);
    background-size: 20px 100%;
  }

  .rating-1 {
    background-size: 20px 100%;
  }
  
  .rating-2 {
    background-size: 40px 100%;
  }
  
  .rating-3 {
    background-size: 60px 100%;
  }
  
  .rating-4 {
    background-size: 80px 100%;
  }
  
  .rating-5 {
    background-size: 100px 100%;
  }
  
  .rating-6 {
    background-size: 120px 100%;
  }
  
  .rating-7 {
    background-size: 140px 100%;
  }
  
  .rating-8 {
    background-size: 160px 100%;
  }
  
  .rating-9 {
    background-size: 180px 100%;
  }
  
  .rating-10 {
    background-size: 200px 100%;
  }

  .single-product-block {
    padding: 1rem;
  }

  /* Shock absortion */
  .single-product-shock-absortion {
    padding-right: 1rem;
    background-image: none;
  }

  .single-product-shock-absortion::after {
    content: '';
    display: block;
    width: 113px;
    height: 65px;
    background: url(../images/icon-shock-absortion.svg) no-repeat 0 0;
  }

  .widget_custom_html + .widget_custom_html {
    margin-top: 2rem;
  }

}


@media (max-width: 420px) {

  /* Scroller slider */
  .product-scroller {
    --column-percent: 75%;
  }

}